From fdf87fdf7b97fea739938b98d02ed33d23d77ea4 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Sat, 10 Feb 2001 00:13:23 +0000
Subject: [PATCH] Add new FreeBSD start script that makes use of new pg_ctl
 functionality.

---
 contrib/start-scripts/freebsd | 58 +++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)
 create mode 100644 contrib/start-scripts/freebsd

diff --git a/contrib/start-scripts/freebsd b/contrib/start-scripts/freebsd
new file mode 100644
index 00000000000..fa80d8a1035
--- /dev/null
+++ b/contrib/start-scripts/freebsd
@@ -0,0 +1,58 @@
+#! /bin/sh
+
+# PostgreSQL boot time startup script for FreeBSD.  Copy this file to
+# /usr/local/etc/rc.d/postgresql.
+
+# Created through merger of the Linux start script by Ryan Kirkpatrick
+# and the script in the FreeBSD ports collection.
+
+# $Header: /cvsroot/pgsql/contrib/start-scripts/freebsd,v 1.1 2001/02/10 00:13:23 petere Exp $
+
+## EDIT FROM HERE
+
+# Installation prefix
+prefix=/usr/local/pgsql
+
+# Data directory
+PGDATA="/usr/local/pgsql/data"
+
+# Who to run pg_ctl as, should be "postgres".
+PGUSER=postgres
+
+# Where to keep a log file
+PGLOG="$PGDATA/serverlog"
+
+## STOP EDITING HERE
+
+export PGDATA
+
+# The path that is to be used for the script
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+
+# What to use to start up the postmaster
+DAEMON="$prefix/bin/pg_ctl"
+
+test -x "$DAEMON" || exit 0
+
+case $1 in
+    start)
+        su -l $PGUSER -c "$DAEMON start -s -l $PGLOG"
+	echo -n ' postgresql'
+	;;
+    stop)
+	su -l $PGUSER -c "$DAEMON stop -s -m fast"
+	;;
+    restart)
+	su -l $PGUSER -c "$DAEMON restart -s -m fast"
+	;;
+    status)
+	su -l $PGUSER -c "$DAEMON status"
+	;;
+    *)
+	# Print help
+	echo "Usage: `basename $0` {start|stop|restart|status}" 1>&2
+	exit 1
+	;;
+esac
+
+exit 0
-- 
GitLab